Nhảy tới nội dung

Token Linking Status API

Use Case

Token Linking Status API to gets the linking token status corresponding by merchant referenceId

Request

POST/v2/tokenizations/linking-status

ParameterTypeRequiredDescription
merchantIdStringFundiin provides MID as a unique identifier to each merchant.
referenceIdStringThe Unique reference ID of the Order.
merchantUserIdStringUnique identifier merchant customer.
langStringLanguage of returned message (vi or en), If not included, the default is en.

Example Request

{
"merchantId": "Your merchant code",
"referenceId": "Your order number",
"merchantUserId": "Unique identifier merchant customer",
"lang": "vi"
}

Response

ParameterTypeRequiredDescription
merchantIdStringFundiin provides MID as a unique identifier to each merchant.
referenceIdStringMerchant's Reference Id unique
merchantUserIdString
notificationTypeStringAUTHENTICATION_STATUS.
resultStatusStringResult status
resultMsgStringThe result message which contains information about the result.
linkedDateExact Time of Linking Completion
Format: YYYY-MM-DD hh:mm:ss
{
"merchantId": "FundiinVN",
"referenceId": "Your order number",
"merchantUserId": "Your merchant user id",
"notificationType": "AUTHENTICATION_STATUS",
"linkedDate": "2023-07-24 09:33:55",
"resultMsg": "User can linked tokenization",
"resultStatus": "SUCCESS"

}

Result Status & Messages

Status codeDescriptionAction to take
SUCCESSThe transaction was successful.Proceed with any necessary post-transaction activities.
EXPIREDThe time period the customer had for completing the payment has expired.Prompt the customer to initiate a new transaction.
REJECTThe request is rejected because of risk control.Review the transaction for potential risks and consider alternative payment methods or further risk assessment.
PROCESSINGThe process is still in progress.
ACCESS_DENIEDAccess denied.Please check your settings in the merchant portal or contact Fundiin for configurations.
INVALID_REQUESTInvalid request. e.g., Invalid currency, invalid amount, etc.Ensure that the request parameters are correct and meet the API requirements.
INVALID_REFERENCE_IDThe referenceId is invalid.Please retry with a different referenceId.
INVALID_CLIENT_IDThe clientId is not registered.Make sure to use a valid and registered clientId for the request.
INVALID_SIGNATUREThe signature is invalid.Double-check the signature generation process to ensure its correctness.
INVALID_MERCHANT_IDThe merchant is not registered.Ensure that the merchant ID is correct and registered with Fundiin.
INVALID_HTTP_METHODThe server does not implement the requested HTTPS method.Use the correct HTTP method (e.g., GET, POST, etc.) when making the request.
INVALID_APIAPI is not defined.Check whether the request URL is correct. Ensure that the endpoint of the called API is correct.
DOWNSTREAM_ERRORPartner downstream timeout. (Retriable)Retry the request later as the error might be temporary due to partner-related issues.
ERROR_GENERALDeclined due to general reasons other than the specific decline error codes provided.Contact Fundiin support for assistance in identifying and resolving the general issue.